고객 인보이스 조회 링크 폐기
curl --request POST \
--url https://meterengine.com/v1/invoices/{id}/view-links/{view_link_id}/revoke \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/invoices/{id}/view-links/{view_link_id}/revoke';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"allow_payment_retry": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인보이스 조회 링크
고객 인보이스 조회 링크 폐기
폐기한 링크는 다시 사용할 수 없다. 반복 폐기는 같은 결과다.
POST
/
v1
/
invoices
/
{id}
/
view-links
/
{view_link_id}
/
revoke
고객 인보이스 조회 링크 폐기
curl --request POST \
--url https://meterengine.com/v1/invoices/{id}/view-links/{view_link_id}/revoke \
--header 'Authorization: Bearer <token>'const url = 'https://meterengine.com/v1/invoices/{id}/view-links/{view_link_id}/revoke';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"allow_payment_retry": true,
"created_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mode": "<string>",
"revoked_at": "2023-11-07T05:31:56Z"
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}{
"code": "validation_error",
"message": "서버 내부 오류입니다",
"errors": [
{
"field": "event_type",
"message": "공백일 수 없습니다"
}
]
}인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.